Subject: Re: Tracking file metadata in git -- fix metastore or enhance git?

From: Jonathan Nieder <[email-masked]>
Date: Fri, 8 Apr 2011 13:59:24 -0500

Hi,

Michael J Gruber wrote:

> Note that etckeeper and metastore predate our notes feature. By now, a
> notes tree is a perfect place to store meta information. You can attach
> notes to blobs perfectly (see textconv-cache). That may be an option for
> a reimplementation, depending on how you want the versioning of the
> files to be related with the versioning of the meta data.

Wouldn't that mean the same content couldn't have one owner in one
commit and a different owner in another commit?

I think the most native-looking way to store metadata associated to
paths is .gitattributes.  It also has the nice feature of allowing a
single attribute to apply to multiple files.  But the tools for
looking them up (e.g., git check-attr) do not get much use yet so they
probably could use a lot of improvement.